<?php
/**
 * Adaptive Sites Uninstall
 *
 * @package Adaptive Sites
 */

defined( 'GC_UNINSTALL_PLUGIN' ) || exit;

$site_pages = get_option( 'adaptive-sites-requests' );
if ( ! empty( $site_pages ) ) {

	// Delete all sites.
	for ( $site_page = 1; $site_page <= $site_pages; $site_page++ ) {
		delete_site_option( 'adaptive-sites-and-pages-page-' . $site_page );
	}

	// Delete all pages count.
	delete_site_option( 'adaptive-sites-requests' );
}

delete_option( 'adaptive_sites_recent_import_log_file' );
delete_option( 'adaptive_sites_import_data' );
delete_option( 'adaptive_sites_gcforms_ids_mapping' );
delete_option( '_adaptive_sites_old_customizer_data' );
delete_option( '_adaptive_sites_old_site_options' );
delete_option( '_adaptive_sites_old_widgets_data' );
delete_option( 'adaptive_sites_settings' );
delete_option( 'adaptive_parent_page_url' );
delete_option( 'adaptive-sites-favorites' );
delete_site_option( 'adaptive-sites-tags' );
delete_site_option( 'adaptive-sites-fresh-site' );
delete_site_option( 'adaptive-sites-batch-status' );
delete_site_option( 'adaptive-sites-batch-status-string' );
